CloudLinux PHP (ALT) Not Loading Certain Extensions

Operating System & Version
CloudLinux 7.9
cPanel & WHM Version
96.0.15

jethrodesign

Well-Known Member
Feb 17, 2012
60
2
58
cPanel Access Level
Root Administrator
Hi,
We've noticed an unusual situation that both our system admin and CloudLinux support have struggled to come up with an answer for. So figured I'd ask about it here.

We use ONLY MultiPHP Manager to determine PHP versions for all sites, and EA versions are default (mostly PHP 7.4 (EA)). But on occasion, we switch a site to PHP 7.4 (ALT) in MultiPHP Manager. We NEVER use the CloudLinux Shared Selector to change PHP versions, and NEVER do any overriding or settings in an individual cPanel account - everything is done in WHM.

So what we've noticed is that a couple PHP extensions that SHOULD be loaded & installed with PHP 7.4 (ALT) are not for some unknown reason. We have noted the PHP extensions that SHOULD be loaded by checking in 'CloudLinux Manager > Selector > Default modules' and outputting 'selectorctl --list-extensions --version=7.4'.

What we are noticing is the following:

- For older sites (created a year or more ago), all of the default extensions appear to be loading except for 'Fileinfo' and 'ZEND OPCache'.

- For newer sites (created in last month or two), all of the default extensions appear to be loading except for 'Imagick'.

For both types of sites, we are simply changing the PHP version from PHP 7.4 (EA) to PHP 7.4 (ALT) in MultiPHP Manager.


- Is there anything that cPanel could be overriding that might cause certain extensions not to load?

- Anything that might have updated in last many months that may explain why we're noticing different results on older-created sites vs. newer-created ones?
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,519
1,027
313
cPanel Access Level
Root Administrator
Hey there! I don't have a good explanation for this behavior as there haven't been any changes that would cause something like this.

Could you open a ticket with our team so we can check this directly on the affected system? If you're able to do that, please post the ticket number here so I can follow along and make sure this thread stays updated.
 

ankeshanand

Well-Known Member
Mar 29, 2021
203
61
103
India
cPanel Access Level
Root Administrator
cPanel does not overwrite on PHP directly and MultiPHP Controls PHP Versions in cPanel. I would like to know the following things before any Conclusion.
1. Are all Old and New sites using the same alt-php74 or 72 or whatever version?
2. Are any of the Old Sites using different PHP Versions? If so, Are those PHP Versions installed with these missing Extensions?
3. Is CloudLinux+OPcache Profile Provisioned in EA4?